
Foreman - Bug #23162

refresh smart-proxy page goes to dashboard

04/07/2018 02:21 PM - Thomas McKay

Status: Closed   

Priority: Normal   

Assignee: Ondřej Pražák   

Category: Smart Proxy   

Target version: 1.19.0   

Difficulty:  Fixed in Releases: 1.19.0

Triaged: Yes Found in Releases:  

Bugzilla link: 1565772 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/5476

  

Description

Visiting

https://devel.example.com/smart_proxies/2-registry-example-com

a refresh goes to

https://devel.example.com/#properties

Associated revisions

Revision ce33646f - 07/03/2018 10:23 AM - Ondřej Pražák

Fixes #23162 - Fix path for tabs on smart-proxy page

History

#1 - 04/09/2018 05:00 PM - Thomas McKay

Being on the "content" tab there seems to be an auto-refresh feature of some sort that when it reloads goes to the dashboard. Makes the page

unusable.

#2 - 04/09/2018 05:01 PM - Thomas McKay

- Project changed from Foreman to Katello

- Category changed from Smart Proxy to Foreman Proxy Content

#3 - 04/10/2018 03:45 PM - Thomas McKay

- Project changed from Katello to Foreman

- Category changed from Foreman Proxy Content to Smart Proxy

When switching tabs on the smart-proxy UI page, for example going to "Services" tab, the url switches to https://devel.example.com/#services. It

should be going to https://devel.example.com/smart_proxies/2-registry-example-com#services or similar. When events cause a page refresh the user

is brought to the dashboard instead of where they intended.

#4 - 04/10/2018 06:09 PM - Thomas McKay

- Priority changed from Normal to High

Still not sure where this issue lies. It could be in the javascript controller that katello adds to the smart-proxy page.

#5 - 04/10/2018 06:12 PM - Thomas McKay

- Bugzilla link set to 1565772

#6 - 04/23/2018 08:26 AM - The Foreman Bot

- Status changed from New to Ready For Testing
- Assignee set to Ondřej Pražák

- Pull request https://github.com/theforeman/foreman/pull/5476 added

#7 - 04/23/2018 08:27 AM - Ondřej Pražák

- translation missing: en.field_release set to 330

#8 - 05/23/2018 07:09 AM - Ondřej Pražák

- translation missing: en.field_release deleted (330)

#9 - 06/26/2018 09:56 AM - Tomer Brisker

- Priority changed from High to Normal

- translation missing: en.field_release set to 353

- Triaged set to Yes

#10 - 07/03/2018 10:23 AM - Ivan Necas

- Status changed from Ready For Testing to Closed
